<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	// Date de la dernière sauvegarde de la BDD
	$date_bdd=Parametre_Config("derniere_sauvegarde_bdd");
	$plus="";
	if ($date_bdd<date("Y-m-d",mktime(0,0,0,date("n"),date("j")-15,date("Y")))) {$plus="fontrouge fontgras";}
	
	// Taille des fichiers temporaires
	$taille=TailleDossier("./tmp");
	if ($taille<1024) {$taille2=$taille;$unite="B";}
	if ($taille>=1024 && $taille<1024*1024) {$taille2=$taille/1024;$unite="kB";}
	if ($taille>=1024*1024 && $taille<1024*1024*1024) {$taille2=$taille/(1024*1024);$unite="MB";}
	if ($taille>=1024*1024*1024) {$taille2=$taille/(1024*1024*1024);$unite="GB";}
	switch (Parametre_Util("format_nombre"))
	{
		case "1":$taille2=number_format($taille2,2,',',' ');break;
		case "2":$taille2=number_format($taille2,2,',','.');break;
		case "3":$taille2=number_format($taille2,2,'.',',');break;
		case "4":$taille2=number_format($taille2,2,',',"'");break;
		case "5":$taille2=number_format($taille2,2,'.',"'");break;
		case "6":$taille2=number_format($taille2,2,'.',' ');break;
		case "7":$taille2=number_format($taille2,2,',','');break;
	}
	
	$filename='https://www.mea-familia.com/version.txt';
	$texte = file_get_contents($filename);
	$plus_version="";
	if ($texte!=Parametre_Config("version_application")) 
	{
		$plus_version=' - <font class="fontrouge fontgras">'.Langue("LBL_ADMINISTRATION_MISE_A_JOUR_DISPO2").$espace[$_SESSION['langue_util']].': '.$texte.'. '.Langue("LBL_ADMINISTRATION_MISE_A_JOUR_DISPO3").'</font>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-tools"></i> <?php echo Langue("LBL_ADMINISTRATION_ADMINISTRATION_TITRE"); ?></p>
	<div class="bloc_donnees padding10_tout margin20_bas clear">
		<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_ADMINISTRATION_MAINTENANCE"); ?></p>
		<form id="form_maj" name="form_maj" action="index2.php" method="POST" enctype="multipart/form-data">
		<input type="hidden" id="module" name="module" value="administration">
		<input type="hidden" id="action" name="action" value="save_maj">
		<input type="file" id="fichier_maj" name="fichier_maj" style="display:none;" />
		<p class="font12 padding20_bas padding20_haut"><span class="souris_main lien_noir" id="sauve_bdd"><i class="fas fa-database fontbleu font16"></i> <?php echo Langue("LBL_ADMINISTRATION_BDD_SAUVEGARDE").' - <font class="'.$plus.'">'.Langue("LBL_ADMINISTRATION_BDD_SAUVEGARDE_DERNIERE").$espace[$_SESSION['langue_util']].': '.Date_Convertir(Parametre_Config("derniere_sauvegarde_bdd"),'Y-m-d',Parametre_Util("format_date")).'</font>'; ?></span></p>
		<p class="font12 padding20_bas"><span class="souris_main lien_noir" id="lancer_maj"><i class="fas fa-file-upload fontbleu font16"></i> <?php echo Langue("LBL_ADMINISTRATION_MISE_A_JOUR").$espace[$_SESSION['langue_util']].': '.Parametre_Config("version_application").$plus_version; ?> <font id="erreur_maj" class="fontrouge fontgras"></font></span></p>
		<p class="font12 padding10_bas"><span class="souris_main lien_noir" id="supprimer_fichiers_temporaires"><i class="fas fa-file-alt fontbleu font16"></i> <?php echo Langue("LBL_ADMINISTRATION_SUPPRIMER_FICHIERS_TEMPORAIRES").$espace[$_SESSION['langue_util']].': '.$taille2.' '.$unite; ?></span></p>
		</form>
	</div>
	
	<div class="bloc_donnees padding10_tout margin20_bas clear">
		<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_ADMINISTRATION_CONFIGURATION_SYSTEME"); ?></p>
		<p class="font12 padding10_bas padding20_haut"><span class="souris_main lien_noir" id="phpinfo"><i class="fab fa-php fontbleu font16"></i> <?php echo Langue("LBL_ADMINISTRATION_PHPINFO"); ?></span></p>
	</div>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#sauve_bdd").click(function(event) 
	{
		event.preventDefault();
		Message(1);
		var request = $.ajax({type: "POST", url: "index2.php", data: "module=administration&action=save_bdd"});
		request.done(function(msg) {window.open("tmp/"+msg);Action_Page("administration","index");});
	});
	
	$("#supprimer_fichiers_temporaires").click(function(event) 
	{
		event.preventDefault();
		Message(1);
		var request = $.ajax({type: "POST", url: "index2.php", data: "module=administration&action=save_supprimer_fichiers_temporaires"});
		request.done(function(msg) {Action_Page("administration","index");});
	});
	
	$("#phpinfo").click(function(event) 
	{
		event.preventDefault();
		window.open("phpinfo.php");
	});

	// Mettre à jour l'application
	$("#lancer_maj").click(function(event)
	{
		event.preventDefault();
		$("#fichier_maj").click();
	});
	
	$("#fichier_maj").change(function(event)
	{
		event.preventDefault();
		$("#form_maj").submit();
	});
	
	$("#form_maj").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (bValid==true)
		{
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					switch (msg)
					{
						case "OK": Action_Page("administration","index");break;
						case "Erreur2": Message(0);$("#erreur_maj").html("<?php echo Langue_JS("MSG_ERR_ADMINISTRATION_PB_VERSION"); ?>"); break;
						case "Erreur3": Message(0);$("#erreur_maj").html("<?php echo Langue_JS("MSG_ERR_ADMINISTRATION_PB_FICHIER"); ?>"); break;
						default: Message(0);$("#erreur_maj").html(msg); break;
					}
				}
			});
		}
	});
});
</script>
