<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

// Connexion à la base de données
function Connexion_DB()
{
	global $allmysites_config, $link_bdd;

	$link_bdd = mysqli_connect($allmysites_config['param_connexion']['serveur'],$allmysites_config['param_connexion']['user'],$allmysites_config['param_connexion']['passe'],$allmysites_config['param_connexion']['base']);
	mysqli_query($link_bdd, 'SET NAMES utf8');
}

// Construction d'un identifiant id
function Construit_Id($nom_base,$longueur)
{
	global $link_bdd;
	$Chaine="ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_-abcdefghijklmnopqrstuvwxyz";

  do
  {
    $id_cree="";
    $trouve=0;
    for ($i=1;$i<=$longueur;$i++)
    {
      $position = mt_rand(0,63);
      $id_cree = $id_cree . substr($Chaine,$position,1);
    }
    $req_fonctions= mysqli_query($link_bdd, "SELECT * FROM `". $nom_base . "` WHERE id = '$id_cree'");
    if (mysqli_num_rows($req_fonctions)!="") { $trouve = 1; }
  } while ($trouve==1);

  return $id_cree;
}

// Conversion de la date dans le format demandé
function Date_Convertir($date,$format_avant,$format_apres)
{
	if ($date!="" && $date!="0000-00-00" && $date!="00/00/0000")
	{
		$date=substr($date,0,10);
		switch ($format_avant)
		{
			case "d/m/Y":  list($jour,$mois,$annee) = explode("/",$date); break;
			case "d/Y/m":  list($jour,$annee,$mois) = explode("/",$date); break;
			case "Y/m/d":  list($annee,$mois,$jour) = explode("/",$date); break;
			case "Y/d/m":  list($annee,$jour,$mois) = explode("/",$date); break;
			case "m/d/Y":  list($mois,$jour,$annee) = explode("/",$date); break;
			case "m/Y/d":  list($mois,$annee,$jour) = explode("/",$date); break;
			case "d-m-Y":  list($jour,$mois,$annee) = explode("-",$date); break;
			case "d-Y-m":  list($jour,$annee,$mois) = explode("-",$date); break;
			case "Y-m-d":  list($annee,$mois,$jour) = explode("-",$date); break;
			case "Y-d-m":  list($annee,$jour,$mois) = explode("-",$date); break;
			case "m-d-Y":  list($mois,$jour,$annee) = explode("-",$date); break;
			case "m-Y-d":  list($mois,$annee,$jour) = explode("-",$date); break;
			case "d.m.Y":  list($jour,$mois,$annee) = explode(".",$date); break;
			case "d.Y.m":  list($jour,$annee,$mois) = explode(".",$date); break;
			case "Y.m.d":  list($annee,$mois,$jour) = explode(".",$date); break;
			case "Y.d.m":  list($annee,$jour,$mois) = explode(".",$date); break;
			case "m.d.Y":  list($mois,$jour,$annee) = explode(".",$date); break;
			case "m.Y.d":  list($mois,$annee,$jour) = explode(".",$date); break;
		}
		switch ($format_apres)
		{
			case "d/m/Y": $date = $jour."/".$mois."/".$annee; break;
			case "d/Y/m": $date = $jour."/".$annee."/".$mois; break;
			case "Y/m/d": $date = $annee."/".$mois."/".$jour; break;
			case "Y/d/m": $date = $annee."/".$jour."/".$mois; break;
			case "m/d/Y": $date = $mois."/".$jour."/".$annee; break;
			case "m/Y/d": $date = $mois."/".$annee."/".$jour; break;
			case "d-m-Y": $date = $jour."-".$mois."-".$annee; break;
			case "d-Y-m": $date = $jour."-".$annee."-".$mois; break;
			case "Y-m-d": $date = $annee."-".$mois."-".$jour; break;
			case "Y-d-m": $date = $annee."-".$jour."-".$mois; break;
			case "m-d-Y": $date = $mois."-".$jour."-".$annee; break;
			case "m-Y-d": $date = $mois."-".$annee."-".$jour; break;
			case "d.m.Y": $date = $jour.".".$mois.".".$annee; break;
			case "d.Y.m": $date = $jour.".".$annee.".".$mois; break;
			case "Y.m.d": $date = $annee.".".$mois.".".$jour; break;
			case "Y.d.m": $date = $annee.".".$jour.".".$mois; break;
			case "m.d.Y": $date = $mois.".".$jour.".".$annee; break;
			case "m.Y.d": $date = $mois.".".$annee.".".$jour; break;
			case "d/m-Y": $date = "<sup>".$jour."</sup>/<sub>".$mois."</sub>-".$annee; break;
			case "Ymd": $date = $annee.$mois.$jour; break;
		}
	}
	else
	{
		$date="";
	}
  return $date;
}

// Fonction de format d'heure
function Heure($heure,$type)
{
	$heure=substr($heure,11,8);
	switch ($type)
	{
		case "1": $heure=substr($heure,0,5); break;
		case "2": $heure=date("g:i A",mktime(substr($heure,0,2),substr($heure,3,2),substr($heure,6,2),date("m"),date("d"),date("Y"))); break;
		case "3": 
			$h=substr($heure,0,2);
			$heure=date("g:i",mktime(substr($heure,0,2),substr($heure,3,2),substr($heure,6,2),date("m"),date("d"),date("Y")));
			if ($h<12) { $heure=$heure.' πμ'; } else { $heure=$heure.' μμ'; }
			break;
		case "4":
			$h=substr($heure,0,2);
			$heure=date("g:i",mktime(substr($heure,0,2),substr($heure,3,2),substr($heure,6,2),date("m"),date("d"),date("Y")));
			if ($h<12) { $heure='오전 '.$heure; } else { $heure='오후 '.$heure; }
			break;
	}
	return $heure;
}

// Fonction d'encryptage et de décryptage de données
function Encryptage($plaintext)
{
	$first_key = base64_decode(FIRSTKEY);
	$second_key = base64_decode(SECONDKEY);   
	$tableau1 = THIRDKEY;
	$tableau2 = FOURTHKEY;

	$ivlen = openssl_cipher_iv_length($cipher="AES-128-CBC");
	$iv = openssl_random_pseudo_bytes($ivlen);
	$ciphertext_raw = openssl_encrypt($plaintext, $cipher, $first_key, $options=OPENSSL_RAW_DATA, $iv);
	$ciphertext = base64_encode( $iv.$ciphertext_raw );
	$l=rand(0,strlen($tableau2)-2);
	if (substr($ciphertext,strlen($ciphertext)-1,1)=="=") {$ciphertext=substr($ciphertext,0,strlen($ciphertext)-1).substr($tableau1,$l,1);} else {$ciphertext=$ciphertext.substr($tableau2,$l,1);}
	return strrev($ciphertext);
}

function Decryptage($ciphertext)
{
	$first_key = base64_decode(FIRSTKEY);
	$second_key = base64_decode(SECONDKEY);   
	$tableau1 = THIRDKEY;

	$ciphertext=strrev($ciphertext);
	$trouve=false;
	for($i=0;$i<strlen($tableau1);$i++)
	{
		if (substr($ciphertext,strlen($ciphertext)-1,1)==substr($tableau1,$i,1)) {$trouve=true;}
	}
	if ($trouve==true) {$ciphertext=substr($ciphertext,0,strlen($ciphertext)-1)."=";} else {$ciphertext=substr($ciphertext,0,strlen($ciphertext)-1);}
	$c = base64_decode($ciphertext);
	$ivlen = openssl_cipher_iv_length($cipher="AES-128-CBC");
	$iv = substr($c, 0, $ivlen);
	$ciphertext_raw = substr($c, $ivlen);
	$original_plaintext = openssl_decrypt($ciphertext_raw, $cipher, $first_key, $options=OPENSSL_RAW_DATA, $iv);
	return str_replace("\'","'",str_replace('\"','"',$original_plaintext));
}

// Récupération d'un paramètre de configuration
function Parametre_Config($parametre)
{
	global $link_bdd;
	
	$req_param=mysqli_query($link_bdd,"SELECT * FROM `configuration` WHERE cle='".$parametre."'");
	$row_param=mysqli_fetch_array($req_param);
	
	return $row_param['valeur'];
}

// Récupération d'un paramètre utilisateur
function Parametre_Util($parametre)
{
	global $link_bdd;
	
	$req_param=mysqli_query($link_bdd,"SELECT * FROM `utilisateurs` WHERE id='".$_SESSION['id_util']."'");
	$row_param=mysqli_fetch_array($req_param);
	
	return $row_param[$parametre];
}

// Fonction améliorée de nl2br
function nl2br2($string) 
{
	global $link_bdd;
	
	$string = str_replace(array("\r\n", "\r", "\n"), "<br />", $string); 
	return $string; 
}

function br2nl($string)
{
	return str_replace('<br />',"\r\n",$string);
}

// Fonction qui retire les retours à la ligne
function nl2rien($string) 
{
	global $link_bdd;
	
	$string = str_replace(array("\r\n", "\r", "\n"), " ", $string); 
	return $string; 
}

// Fonction pour convertir un nombre selon le format choisi par l'utilisateur
function Convertir_Nombre_Ecran($nombre,$decimal)
{
	global $link_bdd;
	
	if ($nombre!="" && $nombre!=NULL)
	{
		switch (Parametre_Util("format_nombre"))
		{
			case "1":$nombre=number_format($nombre,$decimal,',',' ');break;
			case "2":$nombre=number_format($nombre,$decimal,',','.');break;
			case "3":$nombre=number_format($nombre,$decimal,'.',',');break;
			case "4":$nombre=number_format($nombre,$decimal,',',"'");break;
			case "5":$nombre=number_format($nombre,$decimal,'.',"'");break;
			case "6":$nombre=number_format($nombre,$decimal,'.'," ");break;
			case "7":$nombre=number_format($nombre,$decimal,',',"");break;
		}
	}
	return $nombre;
}

// Fonction pour convertir un nombre dans le format de la BDD
function Convertir_Nombre_BDD($nombre)
{
	global $link_bdd;
	
	if ($nombre!="" && $nombre!=NULL)
	{
		switch (Parametre_Util("format_nombre"))
		{
			case "1":$nombre=str_replace(" ","",str_replace(",",".",$nombre)); break;
			case "2":$nombre=str_replace(".","",str_replace(",",".",$nombre)); break;
			case "3":$nombre=str_replace(",","",str_replace(".",".",$nombre)); break;
			case "4":$nombre=str_replace("'","",str_replace(",",".",$nombre)); break;
			case "5":$nombre=str_replace("'","",str_replace(".",".",$nombre)); break;
			case "6":$nombre=str_replace(" ","",str_replace(".",".",$nombre)); break;
			case "7":$nombre=str_replace("","",str_replace(",",".",$nombre)); break;
		}
	}
	return $nombre;
}

// Fonction de récupération de l'énoncé de texte
// Traitement = 0 => Mea-familia n'est pas mis en forme
// Traitement = 1 => Mea-familia est mis en forme
function Langue($string,$traitement=1)
{
	global $link_bdd, $Langue;
	
	$texte=$Langue[$string];
	if ($traitement==1) {$texte=str_replace("Mea-familia",'<b>Mea-familia</b>',$texte);}
	return nl2br2($texte);
}

// Fonction de récupération de l'énoncé de texte
function Langue_JS($string)
{
	global $link_bdd, $Langue;
	
	return str_replace("'","\'",$Langue[$string]);
}

// Calcul la taille d'un dossier
function TailleDossier($Rep)
{
	$Racine=opendir($Rep);
	$Taille=0;
	while($Dossier = readdir($Racine))
	{
		if ( $Dossier != '..' && $Dossier !='.' && $Dossier !='index.html' )
		{
			if(is_dir($Rep.'/'.$Dossier)) $Taille += TailleDossier($Rep.'/'.$Dossier);
			else $Taille += filesize($Rep.'/'.$Dossier);
		}
	}
	closedir($Racine);
	return $Taille;
}
?>