/*********************************************************************************************/
/* VERSION FRANCAISE																		 */
/* =================																		 */
/* Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 */
/* 																							 */
/* Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 */
/* sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 */
/* PARTICULIER.																				 */
/* 																							 */
/* Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 */
/*																							 */
/* Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 */
/* afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 */
/* "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 */
/*																							 */
/*																							 */
/* ENGLISH VERSION																			 */
/* ===============																			 */
/* Mea-familia is a family management application developed by several contributors.		 */
/*																							 */
/* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. */
/* 																							 */
/* You can contact the contributors at email address contact@mea-familia.com.				 */
/* 																							 */
/* If you modify the application in accordance by the Mea-familia license, you must display  */
/* the notice "Powered by Mea-familia" and leave the copyright notice 						 */
/* "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 */
/*********************************************************************************************/

var regex_defaut={
	email: /^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i,
	tel: /^[+]*[(]{0,1}[0-9]{1,4}[)]{0,1}[-\s\./0-9]*$/i,
	url: /^(https?|chrome):\/\/[^\s$.?#].[^\s]*$/i,
	facebook: /(?:https?:\/\/)?(?:www\.)?(?:facebook|fb|m\.facebook)\.(?:com|me)\/(?:(?:\w)*#!\/)?(?:pages\/)?(?:[\w\-]*\/)*([\w\-\.]+)(?:\/)?/i,
	twitter: /http(s)?:\/\/(.*\.)?twitter\.com\/[A-z0-9_]+(\/[A-z0-9_]+)?/i,
	linkedin: /http(s)?:\/\/([\w]+\.)?linkedin\.com\/(in|company|recruiter)\/[A-z0-9_-]+\/?/i,
	pinterest: /http(s)?:\/\/([\w]+\.)?pinterest\.[a-z]+\/[a-zA-Z0-9\/]+/i,
	xing: /http(s)?:\/\/([\w]+\.)?xing\.com\/[a-zA-Z0-9_\-\/?=&]+/i,
	nombre_decimal1: /^[0-9]{1,3}( [0-9]{3})*,[0-9]+$/i,
	nombre_decimal2: /^[0-9]{1,3}(\.[0-9]{3})*,[0-9]+$/i,
	nombre_decimal3: /^[0-9]{1,3}(,[0-9]{3})*\.[0-9]+$/i,
	nombre_decimal4: /^[0-9]{1,3}('[0-9]{3})*,[0-9]+$/i,
	nombre_decimal5: /^[0-9]{1,3}('[0-9]{3})*\.[0-9]+$/i,
	nombre_decimal6: /^[0-9]{1,3}( [0-9]{3})*\.[0-9]+$/i,
	nombre_decimal7: /^[0-9]{1,3}([0-9]{3})*,[0-9]+$/i,
	nombre_decimal8: /^[0-9]{1,3}([0-9]{3})*\.[0-9]+$/i,
	nombre_entier1: /^[0-9]{1,3}( [0-9]{3})*$/i,
	nombre_entier2: /^[0-9]{1,3}(\.[0-9]{3})*$/i,
	nombre_entier3: /^[0-9]{1,3}(,[0-9]{3})*$/i,
	nombre_entier4: /^[0-9]{1,3}('[0-9]{3})*$/i,
	nombre_entier5: /^[0-9]{1,3}('[0-9]{3})*$/i,
	nombre_entier6: /^[0-9]{1,3}( [0-9]{3})*$/i,
	nombre_entier7: /^[0-9]{1,3}([0-9]{3})*$/i,
	nombre_entier8: /^[0-9]{1,3}([0-9]{3})*$/i
};

/* Fonction qui vérifie qu'une valeur est complétée */
function checkValue(o)
{
	if (o.val()=="") {return false;} else {return true;}
};

/* Fonction qui vérifie qu'une valeur est complétée selon un certain format */
function checkRegexp( o, regexp)
{
	if (o.val()=="") {return false;} else
	{
		if (!(regexp.test(o.val()))) {return false;} else {return true;}
	}
};

/* Fonction qui vérifie qu'une valeur non nulle est complétée selon un certain format */
function checkRegexp_nonnulle( o, regexp)
{
	if (o.val()=="") {return true;} else
	{
		if (!(regexp.test(o.val()))) {return false;} else {return true;}
	}
};

/* Fonction qui affiche l'icône de chargement */
function Message(etat)
{
	if (etat==1) {$("#message_chargement").removeClass("bloc_cache").addClass("bloc_affiche");} else {$("#message_chargement").removeClass("bloc_affiche").addClass("bloc_cache");}
};

/* Navigation */
function Action_Page(module,action)
{
	document.location.href="index.php?module="+module+"&action="+action;
};

/* Fonction qui permet de charger une fenêtre DetailView ou EditView */
function Charge_Dialog(url,titre,largeur,hauteur)
{
	Message(1);
	$("#dialog-form").load(url,function()
	{
		$(this).dialog(
		{
			autoOpen: false,
			height: hauteur,
			width: largeur,
			modal: true,
			title: titre,
			draggable: false,
			resizable: false,
			zIndex:1000,
			position : {my:"center",at:"center",of:window}
		});
		$(this).dialog("open");
	});
};

jQuery.widget('ui.dialog', jQuery.extend({}, jQuery.ui.dialog.prototype, {
    _title: function(titleBar) {
        titleBar.html(this.options.title || '&#160;');
    }
}));
