<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	session_start();
	date_default_timezone_set('UTC');

	if (!isset($_SESSION['id_util'])) {$_SESSION['id_util']="";}
	if (!isset($_SESSION['langue_util'])) {$_SESSION['langue_util']="fr_FR";}
	
	if (!file_exists("config.php")) {Header("Location:installation/index.php");}
	
	include "config.php";
	
	include "langues/fr_FR.php";
	foreach($Langue_Application AS $cle => $value)
	{
		$Langue[$cle]=$value;
	}
	if ($_SESSION['langue_util']!='fr_FR')
	{
		include "langues/".$_SESSION['langue_util'].".php";
		foreach($Langue_Application AS $cle => $value)
		{
			$Langue[$cle]=$value;
		}
	}
	
	include "variables.php";
	include "fonctions/fonctions.php";

	Connexion_DB();
	
	if (isset($_GET['module'])) { $module_faire=$_GET['module']; } else { $module_faire="utilisateur"; }
	if (isset($_GET['action'])) { $action_faire=$_GET['action']; } else { $action_faire="index"; }
	
	if ($_SESSION['id_util']!="")
	{
		if ($module_faire=="activites_membres" && $action_faire=="ajouter_activite" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `activites_membres` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="animaux" && $action_faire=="ajouter_animal" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `animaux` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="biens_immobiliers" && $action_faire=="ajouter_bien_immo" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `biens_immobiliers` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="carnet_adresses" && $action_faire=="ajouter_contact" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `carnet_adresses` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="comptes_bancaires" && isset($_GET['id']))
		{
			switch ($action_faire)
			{
				case "ajouter_compte":
					$req=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
					if (mysqli_num_rows($req)=="") {$action_faire="index";}
					break;
				case "ajouter_operation":
					$req=mysqli_query($link_bdd,"SELECT * FROM `operations_bancaires` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
					if (mysqli_num_rows($req)=="") {$action_faire="operations";}
					break;
			}
		}
		if ($module_faire=="comptes_bancaires" && isset($_GET['id_compte']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id_compte']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="operations";}
		}
		if ($module_faire=="courses" && isset($_GET['id']))
		{
			switch ($action_faire)
			{
				case "ajouter_liste":
					$req=mysqli_query($link_bdd,"SELECT * FROM `listes_courses` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
					if (mysqli_num_rows($req)=="") {$action_faire="index";}
					break;
				case "ajouter_magasin":
					$req=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
					if (mysqli_num_rows($req)=="") {$action_faire="magasins";}
					break;
				case "ajouter_produit":
					$req=mysqli_query($link_bdd,"SELECT * FROM `produits` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
					if (mysqli_num_rows($req)=="") {$action_faire="produits";}
					break;
			}
		}
		if ($module_faire=="agenda" && $action_faire=="ajouter_rdv" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `agenda` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="livres" && $action_faire=="ajouter_livre" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `livres` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="membres_famille" && $action_faire=="ajouter_membre" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="playlists" && $action_faire=="ajouter_playlist" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `playlists` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
		if ($module_faire=="recettes" && $action_faire=="ajouter_recette" && isset($_GET['id']))
		{
			$req=mysqli_query($link_bdd,"SELECT * FROM `recettes` WHERE id_util='".$_SESSION['id_util']."' AND id='".$_GET['id']."'");
			if (mysqli_num_rows($req)=="") {$action_faire="index";}
		}
	}
?>
<!doctype html>
<html lang="fr">
<head>
  <meta charset="utf-8">
	<title>Mea-familia</title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="Cache-control" content="no-cache" />
	<meta name="expires" content="0" />
	<meta name="robots" content="noindex,nofollow">
	
	<link href="https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300&display=swap" rel="stylesheet">
	
	<link rel="apple-touch-icon" sizes="57x57" href="images/favicons/apple-icon-57x57.png">
	<link rel="apple-touch-icon" sizes="60x60" href="images/favicons/apple-icon-60x60.png">
	<link rel="apple-touch-icon" sizes="72x72" href="images/favicons/apple-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="76x76" href="images/favicons/apple-icon-76x76.png">
	<link rel="apple-touch-icon" sizes="114x114" href="images/favicons/apple-icon-114x114.png">
	<link rel="apple-touch-icon" sizes="120x120" href="images/favicons/apple-icon-120x120.png">
	<link rel="apple-touch-icon" sizes="144x144" href="images/favicons/apple-icon-144x144.png">
	<link rel="apple-touch-icon" sizes="152x152" href="images/favicons/apple-icon-152x152.png">
	<link rel="apple-touch-icon" sizes="180x180" href="images/favicons/apple-icon-180x180.png">
	<link rel="icon" type="image/png" sizes="192x192"  href="images/favicons/android-icon-192x192.png">
	<link rel="icon" type="image/png" sizes="32x32" href="images/favicons/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="96x96" href="images/favicons/favicon-96x96.png">
	<link rel="icon" type="image/png" sizes="16x16" href="images/favicons/favicon-16x16.png">
	<link rel="manifest" href="images/favicons/manifest.json">
	<meta name="msapplication-TileColor" content="#ffffff">
	<meta name="msapplication-TileImage" content="images/favicons/ms-icon-144x144.png">
	<meta name="theme-color" content="#ffffff">

	<link rel="stylesheet" href="css/all.min.css">
	<link rel="stylesheet" href="css/jquery-ui.min.css">
	<link rel="stylesheet" href="css/datatables.css">
	<link rel="stylesheet" href="css/datatables.responsive.min.css">
	<link rel="stylesheet" href="css/chosen.css">
	<link rel="stylesheet" href="css/tooltipster.bundle.min.css">
	<link rel="stylesheet" href="css/tooltipster.borderless.min.css">
	<link rel="stylesheet" href="css/menu.css">
	<link rel="stylesheet" href="css/style.css">
	
	<script src="lib/jquery.min.js" type="text/javascript"></script>
	<script src="lib/jquery-ui.min.js" type="text/javascript"></script>
	<script src="lib/i18n/datepicker-<?php echo $_SESSION['langue_util']; ?>.js" type="text/javascript"></script>
	<script src="lib/jquery.print.js" type="text/javascript"></script>
	<script src="lib/chosen.jquery.min.js" type="text/javascript"></script>
	<script src="lib/moment.min.js" type="text/javascript"></script>
	<script src="lib/datatables.min.js" type="text/javascript"></script>
	<script src="lib/datatables.moment.js" type="text/javascript"></script>
	<script src="lib/datatables.responsive.min.js" type="text/javascript"></script>
	<script src="lib/tooltipster.bundle.min.js" type="text/javascript"></script>
	<script src="lib/php.full.min.js" type="text/javascript"></script>
	<script src="fonctions/fonctions_js.js" type="text/javascript"></script>
</head>
<body class="body">
	<div align=center id="message_chargement" class="message_chargement bloc_cache padding10_tout" style="z-index:99999;"><i class="fas fa-circle-notch font24 fontblanc fa-spin"></i></div>
	<div id="dialog-form" align="center"></div>
<?php
	include "entete.php";
	if ($_SESSION['id_util']=="")
	{
		if ($module_faire!="utilisateur" && $module_faire!="autres") {$module_faire="utilisateur";$action_faire="index";}
		echo '<div id="partie_centrale" class="partie_centrale verticalalignhaut">';
		include $module_faire.'/'.$action_faire.'.php';
		include "pieddepage.php";
		echo '</div>';
	}	
	else
	{
		echo '<div id="partie_centrale" class="partie_centrale verticalalignhaut floatgauche">';
		include $module_faire.'/'.$action_faire.'.php';
		echo '</div>';
	}
?>
<script type="text/javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-60;
	largeur=$(window).width();
	$("#partie_centrale").css("width",largeur+"px").css("height",hauteur+"px");
	
	$(window).resize(function() {location.reload();});
	
	$('.tooltip').tooltipster(
	{
		delay: 0,
		theme: 'tooltipster-borderless',
		trigger: 'hover',
		side: 'left',
		distance: 3
	});
});
</script>
</body>
</html>