SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


CREATE TABLE `activites_membres` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `id_membre` text,
  `nom_activite` text,
  `type` text,
  `numero_licence` text,
  `montant_adhesion` text,
  `monnaie_adhesion` text,
  `periodicite_adhesion` text,
  `datedebut_adhesion` text,
  `datefin_adhesion` text,
  `nom_club` text,
  `rue_club` text,
  `complement_club` text,
  `codepostal_club` text,
  `ville_club` text,
  `pays_club` text,
  `telephone_club` text,
  `telephone2_club` text,
  `mobile_club` text,
  `fax_club` text,
  `email_club` text,
  `email2_club` text,
  `facebook_club` text,
  `twitter_club` text,
  `pinterest_club` text,
  `linkedin_club` text,
  `xing_club` text,
  `siteweb_club` text,
  `horaires` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `agenda` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `id_membre` char(10) DEFAULT NULL,
  `intitule` text,
  `date` date DEFAULT NULL,
  `heure_debut` int(2) DEFAULT NULL,
  `heure_fin` int(2) DEFAULT NULL,
  `lieu` text,
  `rue` text,
  `complement` text,
  `codepostal` text,
  `ville` text,
  `pays` text,
  `telephone` text,
  `telephone2` text,
  `mobile` text,
  `email` text,
  `email2` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `animaux` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` text,
  `espece` text,
  `race` text,
  `sexe` text,
  `date_naissance` text,
  `couleur` text,
  `traits_caracteristiques` text,
  `code_identification` text,
  `type_marquage` text,
  `date_marquage` text,
  `emplacement` text,
  `numero_passeport` text,
  `date_passeport` text,
  `nom_veto` text,
  `rue_veto` text,
  `complement_veto` text,
  `codepostal_veto` text,
  `ville_veto` text,
  `pays_veto` text,
  `telephone_veto` text,
  `telephone2_veto` text,
  `mobile_veto` text,
  `fax_veto` text,
  `email_veto` text,
  `email2_veto` text,
  `nom_veto_passeport` text,
  `rue_veto_passeport` text,
  `complement_veto_passeport` text,
  `codepostal_veto_passeport` text,
  `ville_veto_passeport` text,
  `pays_veto_passeport` text,
  `telephone_veto_passeport` text,
  `telephone2_veto_passeport` text,
  `mobile_veto_passeport` text,
  `fax_veto_passeport` text,
  `email_veto_passeport` text,
  `email2_veto_passeport` text,
  `vaccins` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `biens_immobiliers` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` text,
  `utilisation` text,
  `type` text,
  `occupation` text,
  `statut` text,
  `cout_montant` text,
  `cout_monnaie` text,
  `rue` text,
  `complement` text,
  `codepostal` text,
  `ville` text,
  `pays` text,
  `telephone` text,
  `telephone2` text,
  `reference_banque` text,
  `montant_banque` text,
  `monnaie_banque` text,
  `taux_banque` text,
  `datedebut_banque` text,
  `datefin_banque` text,
  `nom_banque` text,
  `rue_banque` text,
  `complement_banque` text,
  `codepostal_banque` text,
  `ville_banque` text,
  `pays_banque` text,
  `telephone_banque` text,
  `telephone2_banque` text,
  `mobile_banque` text,
  `fax_banque` text,
  `email_banque` text,
  `email2_banque` text,
  `facebook_banque` text,
  `twitter_banque` text,
  `linkedin_banque` text,
  `xing_banque` text,
  `siteweb_banque` text,
  `nom_proprietaire` text,
  `prenom_proprietaire` text,
  `rue_proprietaire` text,
  `complement_proprietaire` text,
  `codepostal_proprietaire` text,
  `ville_proprietaire` text,
  `pays_proprietaire` text,
  `telephone_proprietaire` text,
  `telephone2_proprietaire` text,
  `mobile_proprietaire` text,
  `email_proprietaire` text,
  `email2_proprietaire` text,
  `nom_locataire` text,
  `prenom_locataire` text,
  `date_locataire` text,
  `loyer_locataire` text,
  `monnaie_locataire` text,
  `telephone_locataire` text,
  `telephone2_locataire` text,
  `mobile_locataire` text,
  `email_locataire` text,
  `email2_locataire` text,
  `reference_assurance` text,
  `societe_assurance` text,
  `rue_assurance` text,
  `complement_assurance` text,
  `codepostal_assurance` text,
  `ville_assurance` text,
  `pays_assurance` text,
  `telephone_assurance` text,
  `telephone2_assurance` text,
  `mobile_assurance` text,
  `fax_assurance` text,
  `email_assurance` text,
  `email2_assurance` text,
  `facebook_assurance` text,
  `twitter_assurance` text,
  `linkedin_assurance` text,
  `xing_assurance` text,
  `siteweb_assurance` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `carnet_adresses` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` text,
  `prenom` text,
  `date_naissance` text,
  `genre` text,
  `rue_personnel` text,
  `complement_personnel` text,
  `codepostal_personnel` text,
  `ville_personnel` text,
  `pays_personnel` text,
  `telephone_personnel` text,
  `telephone2_personnel` text,
  `mobile_personnel` text,
  `email_personnel` text,
  `email2_personnel` text,
  `facebook_personnel` text,
  `twitter_personnel` text,
  `pinterest_personnel` text,
  `skype_personnel` text,
  `siteweb_personnel` text,
  `fonction_professionnel` text,
  `societe_professionnel` text,
  `rue_professionnel` text,
  `complement_professionnel` text,
  `codepostal_professionnel` text,
  `ville_professionnel` text,
  `pays_professionnel` text,
  `telephone_professionnel` text,
  `telephone2_professionnel` text,
  `mobile_professionnel` text,
  `fax_professionnel` text,
  `email_professionnel` text,
  `email2_professionnel` text,
  `facebook_professionnel` text,
  `twitter_professionnel` text,
  `linkedin_professionnel` text,
  `skype_professionnel` text,
  `xing_professionnel` text,
  `siteweb_professionnel` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `cdtheque` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `titre` varchar(100) DEFAULT NULL,
  `interprete` varchar(100) DEFAULT NULL,
  `auteur` varchar(100) DEFAULT NULL,
  `compositeur` varchar(100) DEFAULT NULL,
  `genre` char(2) DEFAULT NULL,
  `statut` tinyint(1) DEFAULT NULL,
  `duree` int(3) DEFAULT NULL,
  `annee` char(4) DEFAULT NULL,
  `titres` text,
  `avis` text,
  `note` tinyint(2) DEFAULT NULL,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `comptes_bancaires` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` text,
  `numero_compte` text,
  `iban` text,
  `bic` text,
  `solde` text,
  `monnaie` text,
  `banque` text,
  `rue` text,
  `complement` text,
  `codepostal` text,
  `ville` text,
  `pays` text,
  `telephone` text,
  `telephone2` text,
  `fax` text,
  `email` text,
  `email2` text,
  `facebook` text,
  `twitter` text,
  `linkedin` text,
  `xing` text,
  `siteweb` text,
  `horaires` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `configuration` (
  `cle` varchar(50) NOT NULL,
  `valeur` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `corvees_liste` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `id_bien_immo` char(10) DEFAULT NULL,
  `nom` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `corvees_planning` (
  `date` date NOT NULL,
  `id_corvee` char(10) NOT NULL,
  `id_bien_immo` char(10) DEFAULT NULL,
  `id_membre` char(10) NOT NULL,
  `fait` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `equipements_immobiliers` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `id_bien_immo` char(10) NOT NULL,
  `nom` text,
  `type` text,
  `description` text,
  `date_achat` text,
  `montant_achat` text,
  `monnaie_achat` text,
  `nom_achat` text,
  `rue_achat` text,
  `complement_achat` text,
  `codepostal_achat` text,
  `ville_achat` text,
  `pays_achat` text,
  `telephone_achat` text,
  `telephone2_achat` text,
  `fax_achat` text,
  `email_achat` text,
  `email2_achat` text,
  `facebook_achat` text,
  `twitter_achat` text,
  `linkedin_achat` text,
  `xing_achat` text,
  `siteweb_achat` text,
  `nom_garantie` text,
  `datedebut_garantie` text,
  `datefin_garantie` text,
  `duree_garantie` text,
  `rue_garantie` text,
  `complement_garantie` text,
  `codepostal_garantie` text,
  `ville_garantie` text,
  `pays_garantie` text,
  `telephone_garantie` text,
  `telephone2_garantie` text,
  `fax_garantie` text,
  `email_garantie` text,
  `email2_garantie` text,
  `facebook_garantie` text,
  `twitter_garantie` text,
  `linkedin_garantie` text,
  `xing_garantie` text,
  `siteweb_garantie` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `listes_courses` (
  `id` int(6) NOT NULL,
  `id_util` char(5) NOT NULL,
  `id_magasin` char(10) NOT NULL,
  `etat` tinyint(1) DEFAULT '0',
  `produits` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `livres` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `titre` varchar(100) DEFAULT NULL,
  `soustitre` varchar(100) DEFAULT NULL,
  `serie` varchar(100) DEFAULT NULL,
  `tome` int(3) DEFAULT NULL,
  `auteur` varchar(255) DEFAULT NULL,
  `illustrateur` varchar(255) DEFAULT NULL,
  `editeur` varchar(100) DEFAULT NULL,
  `resume` text,
  `genre` char(2) DEFAULT NULL,
  `nb_pages` int(3) DEFAULT NULL,
  `age_min` tinyint(2) DEFAULT NULL,
  `age_max` tinyint(2) DEFAULT NULL,
  `isbn` varchar(20) DEFAULT NULL,
  `statut` tinyint(1) DEFAULT NULL,
  `avis` text,
  `note` tinyint(2) DEFAULT NULL,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `magasins` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` text,
  `genre` text,
  `rue` text,
  `complement` text,
  `codepostal` text,
  `ville` text,
  `pays` text,
  `telephone` text,
  `telephone2` text,
  `mobile` text,
  `email` text,
  `email2` text,
  `facebook` text,
  `twitter` text,
  `linkedin` text,
  `xing` text,
  `siteweb` text,
  `horaires` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `membres_famille` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` text,
  `prenom` text,
  `date_naissance` text,
  `genre` text,
  `rue_personnel` text,
  `complement_personnel` text,
  `codepostal_personnel` text,
  `ville_personnel` text,
  `pays_personnel` text,
  `telephone_personnel` text,
  `telephone2_personnel` text,
  `mobile_personnel` text,
  `email_personnel` text,
  `email2_personnel` text,
  `facebook_personnel` text,
  `twitter_personnel` text,
  `pinterest_personnel` text,
  `skype_personnel` text,
  `siteweb_personnel` text,
  `fonction_professionnel` text,
  `societe_professionnel` text,
  `rue_professionnel` text,
  `complement_professionnel` text,
  `codepostal_professionnel` text,
  `ville_professionnel` text,
  `pays_professionnel` text,
  `telephone_professionnel` text,
  `telephone2_professionnel` text,
  `mobile_professionnel` text,
  `fax_professionnel` text,
  `email_professionnel` text,
  `email2_professionnel` text,
  `facebook_professionnel` text,
  `twitter_professionnel` text,
  `linkedin_professionnel` text,
  `skype_professionnel` text,
  `xing_professionnel` text,
  `siteweb_professionnel` text,
  `securite_sociale` text,
  `mutuelle` text,
  `reference_mutuelle` text,
  `grouperhesus` text,
  `allergies` text,
  `medecin` text,
  `rue_medecin` text,
  `complement_medecin` text,
  `codepostal_medecin` text,
  `ville_medecin` text,
  `telephone_medecin` text,
  `mobile_medecin` text,
  `pays_medecin` text,
  `vaccins` text,
  `traitement_medical` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `operations_bancaires` (
  `id` char(15) NOT NULL,
  `id_util` char(5) NOT NULL,
  `id_compte` char(10) NOT NULL,
  `date_operation` text,
  `categorie` tinyint(2) DEFAULT NULL,
  `mode_paiement` text,
  `numero_cheque` text,
  `tiers` text,
  `commentaire` text,
  `montant` double(10,2) DEFAULT NULL,
  `rapproche` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `pays` (
  `cle` char(2) NOT NULL,
  `monnaie` char(3) DEFAULT NULL,
  `fr_FR` varchar(100) DEFAULT NULL,
  `en_GB` varchar(100) DEFAULT NULL,
  `en_US` varchar(100) DEFAULT NULL,
  `de_DE` varchar(100) DEFAULT NULL,
  `es_ES` varchar(100) DEFAULT NULL,
  `it_IT` varchar(100) NOT NULL,
  `pt_PT` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `playlists` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `titre` varchar(100) DEFAULT NULL,
  `categorie` char(1) DEFAULT NULL,
  `artiste` varchar(100) DEFAULT NULL,
  `album` varchar(100) DEFAULT NULL,
  `annee` char(4) DEFAULT NULL,
  `style` varchar(2) DEFAULT NULL,
  `duree` int(4) DEFAULT NULL,
  `nb_titres` int(4) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `produits` (
  `id` char(15) NOT NULL,
  `id_util` char(5) NOT NULL,
  `categorie` tinyint(2) DEFAULT NULL,
  `nom` varchar(50) DEFAULT NULL,
  `marque` varchar(100) DEFAULT NULL,
  `conditionnement` varchar(50) DEFAULT NULL,
  `poids` varchar(50) DEFAULT NULL,
  `contenance` varchar(50) DEFAULT NULL,
  `calories` double(10,2) DEFAULT NULL,
  `unite_calories` tinyint(1) DEFAULT NULL,
  `lipides` double(10,2) DEFAULT NULL,
  `unite_lipides` tinyint(1) DEFAULT NULL,
  `acides_gras` double(10,2) DEFAULT NULL,
  `unite_acides_gras` tinyint(1) DEFAULT NULL,
  `glucides` double(10,2) DEFAULT NULL,
  `unite_glucides` tinyint(1) DEFAULT NULL,
  `sucres` double(10,2) DEFAULT NULL,
  `unite_sucres` tinyint(1) DEFAULT NULL,
  `proteines` double(10,2) DEFAULT NULL,
  `unite_proteines` tinyint(1) DEFAULT NULL,
  `fibres` double(10,2) DEFAULT NULL,
  `unite_fibres` tinyint(1) DEFAULT NULL,
  `sel` double(10,2) DEFAULT NULL,
  `unite_sel` tinyint(1) DEFAULT NULL,
  `prix` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `recettes` (
  `id` char(10) NOT NULL,
  `id_util` char(5) NOT NULL,
  `nom` varchar(100) DEFAULT NULL,
  `type` char(1) DEFAULT NULL,
  `ingredient_principal` varchar(2) DEFAULT NULL,
  `nb_personnes` int(3) DEFAULT NULL,
  `temps_preparation` int(3) DEFAULT NULL,
  `temps_cuisson` int(3) DEFAULT NULL,
  `cout` double(6,2) DEFAULT NULL,
  `monnaie` char(3) DEFAULT NULL,
  `calories` double(10,2) DEFAULT NULL,
  `unite_calories` tinyint(1) DEFAULT NULL,
  `ingredients` text,
  `materiel` text,
  `deroulement` text,
  `informations_complementaires` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `utilisateurs` (
  `id` char(5) NOT NULL,
  `identifiant` varchar(50) NOT NULL,
  `motdepasse` varchar(60) NOT NULL,
  `langue` char(5) DEFAULT NULL,
  `pays` char(2) DEFAULT NULL,
  `monnaie` char(3) DEFAULT NULL,
  `format_date` char(5) DEFAULT NULL,
  `format_nombre` tinyint(1) DEFAULT NULL,
  `unite_calorie` tinyint(1) DEFAULT '1',
  `unite_masse` tinyint(1) DEFAULT '1',
  `date_inscription` date DEFAULT NULL,
  `bloque` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


ALTER TABLE `activites_membres`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `agenda`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `animaux`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `biens_immobiliers`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `carnet_adresses`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `cdtheque`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `comptes_bancaires`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `configuration`
  ADD UNIQUE KEY `cle` (`cle`);

ALTER TABLE `corvees_liste`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `equipements_immobiliers`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `listes_courses`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `livres`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `magasins`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `membres_famille`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `operations_bancaires`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `pays`
  ADD UNIQUE KEY `cle` (`cle`);

ALTER TABLE `playlists`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `produits`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `recettes`
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `utilisateurs`
  ADD UNIQUE KEY `id` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
