<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	session_start();
	date_default_timezone_set('UTC');
	
	include "../config.php";
	
	include "../langues/fr_FR.php";
	foreach($Langue_Application AS $cle => $value)
	{
		$Langue[$cle]=$value;
	}
	if ($_SESSION['langue_util']!='fr_FR')
	{
		include "../langues/".$_SESSION['langue_util'].".php";
		foreach($Langue_Application AS $cle => $value)
		{
			$Langue[$cle]=$value;
		}
	}
	
	include "../fonctions/fonctions.php";
?>
<!doctype html>
<html lang="fr">
<head>
  <meta charset="utf-8">
	<title>Mea-familia</title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="Cache-control" content="no-cache" />
	<meta name="expires" content="0" />
	<meta name="robots" content="noindex,nofollow">
	
	<link href="https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300&display=swap" rel="stylesheet">
	
	<link rel="apple-touch-icon" sizes="57x57" href="../images/favicons/apple-icon-57x57.png">
	<link rel="apple-touch-icon" sizes="60x60" href="../images/favicons/apple-icon-60x60.png">
	<link rel="apple-touch-icon" sizes="72x72" href="../images/favicons/apple-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="76x76" href="../images/favicons/apple-icon-76x76.png">
	<link rel="apple-touch-icon" sizes="114x114" href="../images/favicons/apple-icon-114x114.png">
	<link rel="apple-touch-icon" sizes="120x120" href="../images/favicons/apple-icon-120x120.png">
	<link rel="apple-touch-icon" sizes="144x144" href="../images/favicons/apple-icon-144x144.png">
	<link rel="apple-touch-icon" sizes="152x152" href="../images/favicons/apple-icon-152x152.png">
	<link rel="apple-touch-icon" sizes="180x180" href="../images/favicons/apple-icon-180x180.png">
	<link rel="icon" type="image/png" sizes="192x192"  href="../images/favicons/android-icon-192x192.png">
	<link rel="icon" type="image/png" sizes="32x32" href="../images/favicons/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="96x96" href="../images/favicons/favicon-96x96.png">
	<link rel="icon" type="image/png" sizes="16x16" href="../images/favicons/favicon-16x16.png">
	<link rel="manifest" href="../images/favicons/manifest.json">
	<meta name="msapplication-TileColor" content="#ffffff">
	<meta name="msapplication-TileImage" content="../images/favicons/ms-icon-144x144.png">
	<meta name="theme-color" content="#ffffff">

	<link rel="stylesheet" href="../css/all.min.css">
	<link rel="stylesheet" href="../css/style.css">
	
	<script src="../lib/jquery.min.js" type="text/javascript"></script>
</head>
<body class="body">
<div class="entete_general">
	<span class="padding80_gauche verticalalignmilieu lineheight56"><img src="../images/logo.png" border="0" class="logo verticalalignmilieu"></span>
</div>
<div id="partie_centrale" class="partie_centrale verticalalignhaut">
	<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
		<p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-music"></i> <?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_TROUVER"); ?></p>
		<p class="font24 fontgras lineheight48"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_DEEZER"); ?></p>
		<p class="font18 fontgras lineheight36"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_LISTE"); ?></p>
		<p class="textecentre"><img src="../images/<?php echo $_SESSION['langue_util']; ?>/deezer1.jpg"></p>
		<p class="font18 fontgras lineheight36">&nbsp;</p>
		<p class="font18 fontgras lineheight36"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_PLAYLIST"); ?></p>
		<p class="textecentre"><img src="../images/<?php echo $_SESSION['langue_util']; ?>/deezer2.jpg"></p>

		<p class="font18 fontgras lineheight36">&nbsp;</p>
		<p class="font18 fontgras lineheight36">&nbsp;</p>
		<p class="font24 fontgras lineheight48"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_SPOTIFY"); ?></p>
		<p class="font18 fontgras lineheight36"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_LISTE"); ?></p>
		<p class="textecentre"><img src="../images/<?php echo $_SESSION['langue_util']; ?>/spotify1.jpg"></p>
		<p class="font18 fontgras lineheight36">&nbsp;</p>
		<p class="font18 fontgras lineheight36"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_PLAYLIST"); ?></p>
		<p class="textecentre"><img src="../images/<?php echo $_SESSION['langue_util']; ?>/spotify2.jpg"></p>
		
	</div>
</div>
<script type="text/javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-60;
	largeur=$(window).width();
	$("#partie_centrale").css("width",largeur+"px").css("height",hauteur+"px");
	
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
});
</script>
</body>
</html>